package com.aliyun.iot.aep.demo.page.scan;

import android.content.Context;
import android.text.TextUtils;

import com.aliyun.iot.aep.component.router.Router;
import com.aliyun.iot.aep.component.scan.IScanPlugin;

/**
 * Created by wb-zyl208210 on 2017/11/20.
 */

public class LaunchTargetModuleScanPlugin implements IScanPlugin{
    private boolean mLegal;
    public static final String PLUGINNAME = "LaunchTargetModuleScanPlugin";
    @Override
    public boolean executePlugin(Context context, String s) {
        return isLegal();
    }

    @Override
    public void dealCode(Context context, String uri) {
        if (!TextUtils.isEmpty(uri)) {
            Router.getInstance().toUrl(context, uri);
        }
    }

    public boolean isLegal() {
        mLegal = true;
        return mLegal;
    }
}
